Loading...
Searching...
No Matches
precompute_threshold.cpp File Reference

Implements raptor::threshold::precompute_threshold. More...

`#include <fstream>`
`#include <cereal/types/vector.hpp>`
`#include <raptor/threshold/logspace.hpp>`
`#include <raptor/threshold/multiple_error_model.hpp>`
`#include <raptor/threshold/one_error_model.hpp>`
`#include <raptor/threshold/one_indirect_error_model.hpp>`
`#include <raptor/threshold/precompute_threshold.hpp>`

## Functions

std::vector< size_t > | raptor::threshold::precompute_threshold (threshold_parameters const &arguments)
bool | raptor::threshold::read_thresholds (std::vector< size_t > &vec, threshold_parameters const &arguments)
std::string const | raptor::threshold::threshold_filename (threshold_parameters const &arguments)
void | raptor::threshold::write_thresholds (std::vector< size_t > const &vec, threshold_parameters const &arguments)

## Detailed Description

Implements raptor::threshold::precompute_threshold.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>